Retrieve context information required to properly run a full application connected to the API. Returns user, project, and system configuration data.
GET
/data/user/context
curl
curl -X GET "http://api.example.com/data/user/context" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/user/context"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/user/context' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"user": {
"id": "uuid",
"name": "John Doe"
},
"projects": [
{
"id": "uuid",
"name": "Project 1"
}
],
"departments": [
{
"id": "uuid",
"name": "Animation"
}
],
"asset_types": [
{
"id": "uuid",
"name": "Character"
}
],
"task_types": [
{
"id": "uuid",
"name": "Modeling"
}
],
"task_status": [
{
"id": "uuid",
"name": "In Progress"
}
],
"custom_actions": [
{
"id": "uuid",
"name": "Custom Action"
}
],
"status_automations": [
{
"id": "uuid",
"name": "Auto Status"
}
],
"studios": [
{
"id": "uuid",
"name": "Studio Name"
}
],
"notification_count": 5,
"persons": [
{
"id": "uuid",
"name": "John Doe"
}
],
"project_status": [
{
"id": "uuid",
"name": "Active"
}
],
"search_filters": [
{
"id": "uuid",
"name": "My Filter"
}
],
"search_filter_groups": [
{
"id": "uuid",
"name": "Filter Group"
}
],
"preview_background_files": [
{
"id": "uuid",
"name": "background.jpg"
}
]
}